DtEditorGetLastPosition(library call)

NAME
DtEditorGetLastPosition — retrieve the position of the last character in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
XmTextPosition DtEditorGetLastPosition(
Widget widget);

DESCRIPTION

The DtEditorGetLastPosition function accesses the last text position in the DtEditor widget. The position is an integer number of characters from the beginning of the widget's buffer. Any text added to the end of the buffer is added after this position. The first character position is zero. The last character position is equal to the number of characters contained in the widget.

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorGetLastPosition function returns an XmTextPosition value that indicates the last position in the text; otherwise, it returns NULL.

APPLICATION USAGE

The position information is given in terms of characters, which may differ from the byte position when multi-byte code sets are in use.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorGetInsertionPosition(3), DtEditorSetInsertionPosition(3).